# IRfToolbarSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | RemoveButton ([in] IRnToolbarItem *pButton)
HRESULT | CreateToolBar ([in] BSTR bsName,[in] IRnEncapsulator *pOwnerToolBar,[in] RtShelfData *pShelfData,[in] int iCount,[out] IRsNode **ppToolbar)
HRESULT | CreateToolBarFrame ([in] BSTR bsName,[out] IRsNode **ppToolbarFrame)
HRESULT | CreateToolBarWithFrame ([in] BSTR bsName,[in] RtShelfData *pShelfData,[in] int iCount,[out] IRsNode **ppToolbar)
HRESULT | GetToolBarPrototypesEncapsulatorName ([out] BSTR *bszName)
HRESULT | CreateToolBarPrototypesEncapsulator ([out] IRnEncapsulator **ppToolbarPrototypesEncapsulator)
HRESULT | GetToolBarPrototypesEncapsulator ([out] IRnEncapsulator **ppToolbarPrototypesEncapsulator)
HRESULT | SaveToolBarPrototype ([in] BSTR bszPrototype,[in] IRnToolbar *ppToolbar)
HRESULT | LoadToolBarPrototype ([in] BSTR bszPrototype,[in] IRnToolbar *ppToolbar)
HRESULT | CreateToolBarFromPrototype ([in] BSTR bszPrototype,[out] IRnToolbar **ppToolbar)
HRESULT | CreateFrameToolBarFromPrototype ([in] BSTR bszPrototype,[out] IRsNode **ppToolbarFrameWindow)
HRESULT | GetToolBarFromPrototype ([in] BSTR bszPrototype,[out] IRnToolbar **ppToolbar)
HRESULT | RecreateToolBarPrototypesEncapsulator ([out] IRnEncapsulator **ppToolbarPrototypesEncapsulator)
HRESULT | FindToolbarByID ([in] BSTR bszToolbarID,[out, retval] IRsNode **pNode)
HRESULT | FindFirstToolbarByPrototypeName ([in] BSTR bszPrototypeName,[out, retval] IRsNode **pNode)
HRESULT | FindToolbarFrameToolbarByID ([in] BSTR bszToolbarID,[out, retval] IRsNode **pNode)
HRESULT | FindFirstToolbarFrameByPrototypeName ([in] BSTR bszPrototypeName,[out, retval] IRsNode **pNode)
HRESULT | GetToolbarFrame ([in] IRnToolbar *pToolbarNode,[out, retval] IRsNode **pFrameNode)
HRESULT | CreateToolBarEx ([in]BSTR bsName,[in]IRnEncapsulator *pOwnerToolBar,[in]RtShelfDataEx *pShelfData,[in] int iCount,[out] IRsNode **ppToolbar)

## Detailed Description

IRfToolbarSet provides helper functions for toolbars.

## Member Function Documentation

HRESULT IRfToolbarSet::RemoveButton | ( | [in] IRnToolbarItem * | pButton | ) |

RemoveButton

Parameters:

  | pButton | [in] .

HRESULT IRfToolbarSet::CreateToolBar | ( | [in] BSTR | bsName,
|  | [in] IRnEncapsulator * | pOwnerToolBar,
|  | [in] RtShelfData * | pShelfData,
|  | [in] int | iCount,
|  | [out] IRsNode ** | ppToolbar |
| ) |  |  |

CreateToolBar

Parameters:

  | bsName | [in] .
  | pOwnerToolBar | [in] .
  | pShelfData | [in] .
  | iCount | [in] .
  | ppToolbar | [out] .

HRESULT IRfToolbarSet::CreateToolBarFrame | ( | [in] BSTR | bsName,
|  | [out] IRsNode ** | ppToolbarFrame |
| ) |  |  |

CreateToolBarFrame

Parameters:

  | bsName | [in] .
  | ppToolbarFrame | [out] .

HRESULT IRfToolbarSet::CreateToolBarWithFrame | ( | [in] BSTR | bsName,
|  | [in] RtShelfData * | pShelfData,
|  | [in] int | iCount,
|  | [out] IRsNode ** | ppToolbar |
| ) |  |  |

CreateToolBarWithFrame

Parameters:

  | bsName | [in] .
  | pShelfData | [in] .
  | iCount | [in] .
  | ppToolbar | [out] .

HRESULT IRfToolbarSet::GetToolBarPrototypesEncapsulatorName | ( | [out] BSTR * | bszName | ) |

GetToolBarPrototypesEncapsulatorName

Parameters:

  | bszName | [out] .

HRESULT IRfToolbarSet::CreateToolBarPrototypesEncapsulator | ( | [out] IRnEncapsulator ** | ppToolbarPrototypesEncapsulator | ) |

CreateToolBarPrototypesEncapsulator

Parameters:

  | ppToolbarPrototypesEncapsulator | [out] .

HRESULT IRfToolbarSet::GetToolBarPrototypesEncapsulator | ( | [out] IRnEncapsulator ** | ppToolbarPrototypesEncapsulator | ) |

GetToolBarPrototypesEncapsulator

Parameters:

  | ppToolbarPrototypesEncapsulator | [out] .

HRESULT IRfToolbarSet::SaveToolBarPrototype | ( | [in] BSTR | bszPrototype,
|  | [in] IRnToolbar * | ppToolbar |
| ) |  |  |

SaveToolBarPrototype

Parameters:

  | bszPrototype | [in] .
  | ppToolbar | [in] .

HRESULT IRfToolbarSet::LoadToolBarPrototype | ( | [in] BSTR | bszPrototype,
|  | [in] IRnToolbar * | ppToolbar |
| ) |  |  |

LoadToolBarPrototype

Parameters:

  | bszPrototype | [in] .
  | ppToolbar | [in] .

HRESULT IRfToolbarSet::CreateToolBarFromPrototype | ( | [in] BSTR | bszPrototype,
|  | [out] IRnToolbar ** | ppToolbar |
| ) |  |  |

CreateToolBarFromPrototype

Parameters:

  | bszPrototype | [in] .
  | ppToolbar | [out] .

HRESULT IRfToolbarSet::CreateFrameToolBarFromPrototype | ( | [in] BSTR | bszPrototype,
|  | [out] IRsNode ** | ppToolbarFrameWindow |
| ) |  |  |

CreateFrameToolBarFromPrototype

Parameters:

  | bszPrototype | [in] .
  | ppToolbarFrameWindow | [out] .

HRESULT IRfToolbarSet::GetToolBarFromPrototype | ( | [in] BSTR | bszPrototype,
|  | [out] IRnToolbar ** | ppToolbar |
| ) |  |  |

GetToolBarFromPrototype

Parameters:

  | bszPrototype | [in] .
  | ppToolbar | [out] .

HRESULT IRfToolbarSet::RecreateToolBarPrototypesEncapsulator | ( | [out] IRnEncapsulator ** | ppToolbarPrototypesEncapsulator | ) |

RecreateToolBarPrototypesEncapsulator

Parameters:

  | ppToolbarPrototypesEncapsulator | [out] .

HRESULT IRfToolbarSet::FindToolbarByID | ( | [in] BSTR | bszToolbarID,
|  | [out, retval] IRsNode ** | pNode |
| ) |  |  |

FindToolbarByID

Parameters:

  | bszToolbarID | [in] .

Returns:
  pNode [out,retval] .

HRESULT IRfToolbarSet::FindFirstToolbarByPrototypeName | ( | [in] BSTR | bszPrototypeName,
|  | [out, retval] IRsNode ** | pNode |
| ) |  |  |

FindFirstToolbarByPrototypeName

Parameters:

  | bszPrototypeName | [in] .

Returns:
  pNode [out,retval] .

HRESULT IRfToolbarSet::FindToolbarFrameToolbarByID | ( | [in] BSTR | bszToolbarID,
|  | [out, retval] IRsNode ** | pNode |
| ) |  |  |

FindToolbarFrameToolbarByID

Parameters:

  | bszToolbarID | [in] .

Returns:
  pNode [out,retval] .

HRESULT IRfToolbarSet::FindFirstToolbarFrameByPrototypeName | ( | [in] BSTR | bszPrototypeName,
|  | [out, retval] IRsNode ** | pNode |
| ) |  |  |

FindFirstToolbarFrameByPrototypeName

Parameters:

  | bszPrototypeNameD | [in] .

Returns:
  pNode [out,retval] .

HRESULT IRfToolbarSet::GetToolbarFrame | ( | [in] IRnToolbar * | pToolbarNode,
|  | [out, retval] IRsNode ** | pFrameNode |
| ) |  |  |

GetToolbarFrame

Parameters:

  | pToolbarNode | [in] .

Returns:
  pFrameNode [out,retval] .

HRESULT IRfToolbarSet::CreateToolBarEx | ( | [in] BSTR | bsName,
|  | [in] IRnEncapsulator * | pOwnerToolBar,
|  | [in] RtShelfDataEx * | pShelfData,
|  | [in] int | iCount,
|  | [out] IRsNode ** | ppToolbar |
| ) |  |  |

CreateToolBarEx

Parameters:

  | bsName | [in] .
  | pOwnerToolBar | [in] .
  | pShelfData | [in] .
  | iCount | [in] .
  | ppToolbar | [out] .